Bug 1293167 - [abrt] kf5-kinit: qt_message_fatal(): kdeinit5 killed by SIGABRT
[abrt] kf5-kinit: qt_message_fatal(): kdeinit5 killed by SIGABRT
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: kf5-kinit (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Vrátil
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
RejectedFreezeException RejectedBlock...
: CommonBugs
: 1341960 1356230 1357228 1362306 1367755 1393995 1408212 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-20 17:03 EST by Jon Burgess
Modified: 2017-08-08 08:34 EDT (History)
32 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 08:34:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (22.91 KB, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details
File: cgroup (242 bytes, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details
File: core_backtrace (5.06 KB, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details
File: dso_list (14.15 KB, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details
File: environ (4.58 KB, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details
File: limits (1.29 KB, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details
File: maps (61.49 KB, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details
File: mountinfo (3.15 KB, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details
File: namespaces (85 bytes, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details
File: open_fds (232 bytes, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details
File: proc_pid_status (1.17 KB, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details
File: var_log_messages (28 bytes, text/plain)
2015-12-20 17:03 EST, Jon Burgess
no flags Details

  None (edit)
Description Jon Burgess 2015-12-20 17:03:37 EST
Description of problem:
Crash likely happened the moment I logged into KDE. The K-gears appear for about 30 seconds, fade to black and then nothing. I have to manually kill and start  a new plasmashell instance to get anything useful on the desktop.

Version-Release number of selected component:
kf5-kinit-5.17.0-1.fc24

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        'klauncher [kdeinit5] --fd=8'
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     2592
kernel:         4.4.0-0.rc5.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #2 qt_message_fatal at global/qlogging.cpp:1610
 #3 QMessageLogger::fatal at global/qlogging.cpp:784
 #4 QXcbConnection::QXcbConnection at qxcbconnection.cpp:559
 #5 QXcbIntegration::QXcbIntegration at qxcbintegration.cpp:177
 #6 QXcbIntegrationPlugin::create at qxcbmain.cpp:50
 #7 loadIntegration at kernel/qplatformintegrationfactory.cpp:56
 #8 QPlatformIntegrationFactory::create at kernel/qplatformintegrationfactory.cpp:73
 #9 init_platform at kernel/qguiapplication.cpp:1032
 #10 QGuiApplicationPrivate::createPlatformIntegration at kernel/qguiapplication.cpp:1199
 #11 QGuiApplicationPrivate::createEventDispatcher at kernel/qguiapplication.cpp:1216

Potential duplicate: bug 1167056
Comment 1 Jon Burgess 2015-12-20 17:03:43 EST
Created attachment 1108106 [details]
File: backtrace
Comment 2 Jon Burgess 2015-12-20 17:03:44 EST
Created attachment 1108107 [details]
File: cgroup
Comment 3 Jon Burgess 2015-12-20 17:03:46 EST
Created attachment 1108108 [details]
File: core_backtrace
Comment 4 Jon Burgess 2015-12-20 17:03:47 EST
Created attachment 1108109 [details]
File: dso_list
Comment 5 Jon Burgess 2015-12-20 17:03:48 EST
Created attachment 1108110 [details]
File: environ
Comment 6 Jon Burgess 2015-12-20 17:03:50 EST
Created attachment 1108111 [details]
File: limits
Comment 7 Jon Burgess 2015-12-20 17:03:51 EST
Created attachment 1108112 [details]
File: maps
Comment 8 Jon Burgess 2015-12-20 17:03:53 EST
Created attachment 1108113 [details]
File: mountinfo
Comment 9 Jon Burgess 2015-12-20 17:03:54 EST
Created attachment 1108114 [details]
File: namespaces
Comment 10 Jon Burgess 2015-12-20 17:03:55 EST
Created attachment 1108115 [details]
File: open_fds
Comment 11 Jon Burgess 2015-12-20 17:03:56 EST
Created attachment 1108116 [details]
File: proc_pid_status
Comment 12 Jon Burgess 2015-12-20 17:03:58 EST
Created attachment 1108117 [details]
File: var_log_messages
Comment 13 Jan Kurik 2016-02-24 09:09:53 EST
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase
Comment 14 Giulio 'juliuxpigface' 2016-04-03 14:59:49 EDT
Similar problem has been detected:

Steps to reproduce:
1. Create two user accounts
2. Log in with the first account
3. Application Launcher -> Leave -> New Session
4. Start a new (parallel) session as the second user
5. Log out the session of the second user account

Actual results:
1. Plasma session crashes. The screen turns out black; only the KDE reporting system pops up, but it's unusable.
2. On reboot, I see that abrt collected information about some crashes (kdeinit5, plasma-worskpace, kdepim-runtime...). I chose kdeinit5, because it was the one highlitghted by KDE's own reporting tool.

Expected results:
Ideally, the parallel session should work as expected.

How reproducible:
I haven't tried to reproduce it yet.

reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        'klauncher [kdeinit5] --fd=8'
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     2195
kernel:         4.5.0-302.fc24.x86_64
package:        kf5-kinit-5.20.0-1.fc24
reason:         kdeinit5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 Giulio 'juliuxpigface' 2016-04-03 16:21:20 EDT
I can reliably reproduce the issue, when I follow the steps written with comment #14:
 > Steps to reproduce:
> 1. Create two user accounts
> 2. Log in with the first account
> 3. Application Launcher -> Leave -> New Session
> 4. Start a new (parallel) session as the second user
> 5. Log out the session of the second user account

As it stands, it's a potential violation of the "2.6.6 Shutdown, reboot, logout" F24 Beta Release criterion.


"Shutting down, logging out and rebooting must work using standard console commands and the mechanisms offered (if any) by all release-blocking desktops.  [...] Logging out must return the user to the environment from which they logged in, working as expected."


Reference: https://fedoraproject.org/wiki/Fedora_24_Beta_Release_Criteria#Shutdown.2C_reboot.2C_logout
Comment 16 Petr Schindler 2016-04-04 13:37:21 EDT
Discussed at 2016-04-04 blocker review meeting: [1]. 

This bug was accepted as Final blocker and Beta Freeze Exception: we count this as a conditional violation of "...logging out...must work using...the mechanisms offered (if any) by all release-blocking desktops." As it's conditional and affects a more advanced use case we accept it as a Final blocker rather than Beta, but also as a Beta freeze exception issue.

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-04-04/f24-blocker-review.2016-04-04-16.05.html
Comment 17 Kamil Páral 2016-05-09 13:04:11 EDT
Hello KDE team, is there any progress on this? We're trying to evaluate status of F24 blocker bugs. Thanks.
Comment 18 Rex Dieter 2016-05-09 13:25:10 EDT
User switching seems to be pretty broken on my test box in general.  :(

Besides, as far as I can tell, the user switching case is not explicitly covered by Release criteria.

*If* it is decided to be covered then, we may end up having to disable it.
Comment 19 Leslie Satenstein 2016-05-09 14:24:14 EDT
I'm using F24 Beta 1.6 with one Admin and one regualar user.   I selected to switch users, and noted the following after logging into the second user.

a) Ctl-alt F1 gives me the login prompt.  
b) Ctl-alt F2 gives me the admin logon
c) Ctl-alt F3 gives me the second user.

In other words, a switch user would allow the second user to comprimise the sustem if the initial user was an administrator (or root).

Then, I logged out from the second user, and now, the ctl-alt-F2 b) above, was blocked. I needed to re-log into the admin account to have access.

And my second test will be to log out from admin b) after logging into the second account to determine if the logic works as expected.

At no time should two logons or three logons be active and switchable between.
eg. Root, admin and guest. That ability is a security concern.
Comment 20 Leslie Satenstein 2016-05-09 14:28:15 EDT
Things are even more interesting when
a) login as admin and switch user
b) login as normaluser and switch user
c) login as root and switch user.

b) can visit a) or c) via ctl-alt-f1-f4
Comment 21 Rex Dieter 2016-05-09 14:35:00 EDT
These findings (in comment #19) appear to not be relevant to this bug, which is about crashes when initiating user switching.  I'd encourage you to file separate bug(s).

It is still interesting.

It is my understanding that what is *supposed* to happen when switching away to another session, is that it the original one is supposed to lock immediately, and require re-authentication to re-enter.
Comment 22 Kamil Páral 2016-05-16 13:39:47 EDT
(In reply to Rex Dieter from comment #18)
> User switching seems to be pretty broken on my test box in general.  :(
> 
> Besides, as far as I can tell, the user switching case is not explicitly
> covered by Release criteria.
> 
> *If* it is decided to be covered then, we may end up having to disable it.

It's not explicitly covered, but we've blocked on it as a conditional violation of logging in/out in the past. It's sad, but if it's really completely broken as it seems to be, it might be a good idea to disable it until the functionality is fixed, otherwise people will just get frustrated from this.

If this turned out to be a much rarer case, we could re-evaluate the decision for having this as a blocker. It depends how many users are affected by this and how often. Currently it seems everyone and every time they try it :-/
Comment 23 Rex Dieter 2016-05-16 13:50:26 EDT
Fwiw, I queried on kde list,

https://lists.fedoraproject.org/archives/list/kde@lists.fedoraproject.org/thread/A4FNVJMLXQCFCTWJND6S2H5IMDVUU6YA/

and seems most who responded had this feature working ok.
Comment 24 Viorel Tabara 2016-05-23 23:03:19 EDT
Running the tests in comment 14 I was able to consistently replicate the issue 
with VMs running with 1G and 4G memory (to rule out small memory). Tested 
before and after 'dnf update'.

No issues on baremetal which made me suspect the graphics driver. Tested OK 
with video set to Cirrus, VGA and VMVGA. No display with video set to Xen.

Conclusion: test only fails on VM with QXL video.
Comment 25 Geoffrey Marr 2016-05-30 14:50:35 EDT
Discussed during the 2016-05-30 blocker review meeting: [1]

Decision was made to reclassify this bug as a ProposedBlocker as it does not seem to have as large of an impact as originally thought.

Kamil, Petr, can you perform some more tests on this bug?

[1] https://meetbot-raw.fedoraproject.org/fedora-blocker-review/2016-05-30/f24-blocker-review.2016-05-30-16.01.txt
Comment 26 Kamil Páral 2016-05-31 10:01:54 EDT
I tested this on bare metal (AMD graphics) with Fedora-KDE-Live-x86_64-24-20160529.n.0.iso and user switching seems to work fine. The reproducer from comment 14 also didn't trigger any crash.
Comment 27 Petr Schindler 2016-05-31 10:06:06 EDT
I tested this in VM. The bug appears only when I used QXL. I was able to reproduce this bug with qxl following reproducer from comment 14. I tested all other drivers (virtio, cirrus, ...) and log out from second session worked fine.
Comment 28 Sylvain Réault 2016-06-02 03:20:38 EDT
*** Bug 1341960 has been marked as a duplicate of this bug. ***
Comment 29 Adam Williamson 2016-06-03 15:17:04 EDT
So I think with the re-testing I'm -1 blocker on this, any other votes?
Comment 30 Stephen Gallagher 2016-06-03 15:57:56 EDT
-1 blocker based on the recent comments.
Comment 31 gil cattaneo 2016-06-03 17:14:21 EDT
also for me is: -1 blocker
Comment 32 Giulio 'juliuxpigface' 2016-06-03 17:37:36 EDT
Since it seems to affect QXL only, I'm -1 blocker here too.
Comment 33 Kevin Fenzi 2016-06-03 17:45:31 EDT
-1 blocker.
Comment 34 Adam Williamson 2016-06-03 18:40:26 EDT
That's five -1 votes, so setting rejectedblocker. I'm gonna propose as Final FE, though, we can discuss that Monday.
Comment 35 Chris Murphy 2016-06-03 20:41:10 EDT
I think on this one a convo is needed to understand if there's a fix in the works and what the risk assessment is for it before considering an FE. At the moment I'm -1 FE.
Comment 36 Petr Schindler 2016-06-13 13:34:55 EDT
Discussed at 2016-06-13 blocker review meeting: [1]. 

This bug was rejected as Final Freeze Exception: it's now quite late in the F24 process and there is still no indication of how any fix for this might look, and the issue mostly affects installed systems in any case, so there's no clear case to accept it

[1] https://meetbot.fedoraproject.org/fedora-blocker-review/2016-06-13/f24-blocker-review.2016-06-13-16.04.html
Comment 37 LarryO 2016-07-13 14:38:01 EDT
*** Bug 1356230 has been marked as a duplicate of this bug. ***
Comment 38 Neal Becker 2016-07-16 18:04:20 EDT
*** Bug 1357228 has been marked as a duplicate of this bug. ***
Comment 39 LarryO 2016-07-18 09:00:55 EDT
Similar problem has been detected:

Opened menus in LibreOffice Calc.

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        'klauncher [kdeinit5] --fd=8'
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     18496
kernel:         4.6.3-300.fc24.x86_64
package:        kf5-kinit-5.23.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         kdeinit5 killed by SIGABRT
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            101416
Comment 40 David W. Legg 2016-07-31 04:32:27 EDT
Similar problem has been detected:

Tried to add a new panel to second screen.
Everything froze.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        'klauncher [kdeinit5] --fd=8'
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     3651
kernel:         4.6.4-301.fc24.x86_64
package:        kf5-kinit-5.24.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         kdeinit5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            1001
Comment 41 diego 2016-08-01 18:48:36 EDT
*** Bug 1362306 has been marked as a duplicate of this bug. ***
Comment 42 LarryO 2016-08-04 07:05:58 EDT
Similar problem has been detected:

Logged in.

reporter:       libreport-2.7.2
backtrace_rating: 4
cmdline:        'klauncher [kdeinit5] --fd=8'
crash_function: qt_message_fatal
executable:     /usr/bin/kdeinit5
global_pid:     22887
kernel:         4.6.4-301.fc24.x86_64
package:        kf5-kinit-5.24.0-1.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         kdeinit5 killed by SIGABRT
runlevel:       N 5
type:           CCpp
uid:            101416
Comment 43 LarryO 2016-08-17 07:49:43 EDT
*** Bug 1367755 has been marked as a duplicate of this bug. ***
Comment 44 aannoaanno 2016-11-10 14:04:12 EST
*** Bug 1393995 has been marked as a duplicate of this bug. ***
Comment 45 klaus 2016-12-22 08:28:05 EST
*** Bug 1408212 has been marked as a duplicate of this bug. ***
Comment 46 Fedora End Of Life 2017-07-25 15:40:12 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 47 Fedora End Of Life 2017-08-08 08:34:45 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.